import ddf.minim.*;
import ddf.minim.ugens.*;

Minim minim;
AudioOutput out;
String[] notes= {"C3","d3","E3","F3","G3","A3","B3","C4","D4","E4","F4","G4","A5","B5","C5","D5","E5","F5","G5"};
int trigger;

//
// ! ! ! ! !
// changer les parametres ici 
String s="madame_bovary.txt";
int vitesse = 200; // la vitesse entre deux beat en millieme de secondes


texte montexte;

void setup() {
  size(600, 600);
  montexte=new texte(s);
  textAlign(CENTER);
  
  println("nombre de mots dans le texte : "+montexte.nombre_mots);
  println("nombre de phrases dans le texte : "+montexte.nombre_phrases);
  println("nombre de mots dans l'inventaire : "+montexte.inventaire.size());

minim = new Minim(this);
  // use the getLineOut method of the Minim object to get an AudioOutput object
  out = minim.getLineOut();
  out.setTempo( 80 );
  //out.pauseNotes();
  trigger = millis();
}

void draw() {
   if (millis() > trigger) {
  background(0);
  text(montexte.mot, width/2, height*0.2);
  text("longueur du mot : "+montexte.nombre_lettres, width/2, height*0.45);
  text("nombre de signes de la phrase : "+montexte.phrase.length(), width/2, height*0.5);
  text("nombre de mots de la phrase : "+montexte.mots_phrase.length, width/2, height*0.55);
  
  text("Phrase N°"+montexte.id_phrase+", mot n°"+montexte.id_mot+" / "+montexte.mots_phrase.length,width/2,height*0.33);
  text(montexte.phrase,20,height*0.66,width-40,height*0.3);
  
  montexte.mot_suivant();
  out.playNote( notes[montexte.nombre_lettres] );
  
  //out.playNote( 0.0, 0.9, new SineInstrument( 100+(montexte.nombre_lettres*10 )) );
  trigger = millis() + vitesse;
   }
}